org.appng.xml.platform

## Class Bean

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Bean

- All Implemented Interfaces:
    Serializable

      public class Bean
      extends BaseObject
      implements Serializable

  References a bean defined in the applications `beans.xml` file.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected List<BeanOption>` | `options`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The id of the bean as defined in the applications `beans.xml` file.
    `List<BeanOption>` | `getOptions()` Gets the value of the options property.
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### options

          protected List<BeanOption> options

    - #### id

          protected String id

  - ### Constructor Detail

    - #### Bean

          public Bean()

  - ### Method Detail

    - #### getOptions

          public List<BeanOption> getOptions()

      Gets the value of the options property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the options property.

      For example, to add a new item, do as follows:

              getOptions().add(newItem);

      Objects of the following type(s) are allowed in the list `BeanOption`

    - #### getId

          public String getId()

      The id of the bean as defined in the applications `beans.xml` file.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.